Loading...
Searching...
No Matches
Magick::ReadOptions Class Reference

## Public Member Functions

| ReadOptions (const ReadOptions &options_)
void | density (const Geometry &geometry_)
Geometry | density (void) const
void | depth (size_t depth_)
size_t | depth (void) const
void | ping (const bool flag_)
bool | ping (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
MagickCore::ImageInfo * | imageInfo (void)

## Private Member Functions

ReadOptions & | operator= (const ReadOptions &)

## Private Attributes

MagickCore::ImageInfo * | _imageInfo
bool | _quiet

## Detailed Description

Definition at line 857 of file STL.h.

## Constructor & Destructor Documentation

## ReadOptions() [1/2]

Magick::ReadOptions::ReadOptions | ( | void |  | ) |

Definition at line 790 of file STL.cpp.

: _imageInfo(static_cast<ImageInfo*>(AcquireMagickMemory(
sizeof(ImageInfo)))),
_quiet(false)
{
GetImageInfo(_imageInfo);
}

## ReadOptions() [2/2]

Magick::ReadOptions::ReadOptions | ( | const ReadOptions & | options_ | ) |

Definition at line 798 of file STL.cpp.

: _imageInfo(CloneImageInfo(options_._imageInfo)),
_quiet(false)
{
}

## ~ReadOptions()

Magick::ReadOptions::~ReadOptions | ( |  | ) |

Definition at line 804 of file STL.cpp.

{
_imageInfo=DestroyImageInfo(_imageInfo);
}

## Member Function Documentation

## density() [1/2]

void Magick::ReadOptions::density | ( | const Geometry & | geometry_ | ) |

Definition at line 809 of file STL.cpp.

{
if (!density_.isValid())
_imageInfo->density=(char *) RelinquishMagickMemory(_imageInfo->density);
else
Magick::CloneString(&_imageInfo->density,density_);
}

## density() [2/2]

Magick::Geometry Magick::ReadOptions::density | ( | void |  | ) | const

Definition at line 817 of file STL.cpp.

{
if (_imageInfo->density)
return(Geometry(_imageInfo->density));
return(Geometry());
}

## depth() [1/2]

void Magick::ReadOptions::depth | ( | size_t | depth_ | ) |

Definition at line 825 of file STL.cpp.

{
_imageInfo->depth=depth_;
}

## depth() [2/2]

size_t Magick::ReadOptions::depth | ( | void |  | ) | const

Definition at line 830 of file STL.cpp.

{
return(_imageInfo->depth);
}

## imageInfo()

MagickCore::ImageInfo * Magick::ReadOptions::imageInfo | ( | void |  | ) |

Definition at line 871 of file STL.cpp.

{
return(_imageInfo);
}

## ping() [1/2]

void Magick::ReadOptions::ping | ( | const bool | flag_ | ) |

Definition at line 835 of file STL.cpp.

{
_imageInfo->ping=(MagickBooleanType) flag_;
}

## ping() [2/2]

bool Magick::ReadOptions::ping | ( | void |  | ) | const

Definition at line 840 of file STL.cpp.

{
return(static_cast<bool>(_imageInfo->ping));
}

## quiet() [1/2]

void Magick::ReadOptions::quiet | ( | const bool | quiet_ | ) |

Definition at line 845 of file STL.cpp.

{
_quiet=quiet_;
}

## quiet() [2/2]

bool Magick::ReadOptions::quiet | ( | void |  | ) | const

Definition at line 850 of file STL.cpp.

{
return(_quiet);
}

## size() [1/2]

void Magick::ReadOptions::size | ( | const Geometry & | geometry_ | ) |

Definition at line 855 of file STL.cpp.

{
_imageInfo->size=(char *) RelinquishMagickMemory(_imageInfo->size);
if ( geometry_.isValid() )
Magick::CloneString(&_imageInfo->size,geometry_);
}

## size() [2/2]

Magick::Geometry Magick::ReadOptions::size | ( | void |  | ) | const

Definition at line 863 of file STL.cpp.

{
if (_imageInfo->size)
return(Geometry(_imageInfo->size));
return(Geometry());
}

## Field Documentation

## _imageInfo

MagickCore::ImageInfo* Magick::ReadOptions::_imageInfo

private

Definition at line 901 of file STL.h.

## _quiet

bool Magick::ReadOptions::_quiet

private

Definition at line 902 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp